import request from '@/utils/request'

// 合同列表
export function apiContractLists(params: any) {
    return request.get({ url: '/contract.contract/lists', params })
}

// 添加合同
export function apiContractAdd(params: any) {
    return request.post({ url: '/contract.contract/add', params })
}

// 编辑合同
export function apiContractEdit(params: any) {
    return request.post({ url: '/contract.contract/edit', params })
}

// 删除合同
export function apiContractDelete(params: any) {
    return request.post({ url: '/contract.contract/delete', params })
}

// 合同详情
export function apiContractDetail(params: any) {
    return request.get({ url: '/contract.contract/detail', params })
}

// 三轮车合同列表
export function leaseContractList(params: any) {
    return request.get({ url: "/contract.VehicleContract/lists", params });
}

//租赁详情
export function leaseContractDetail(params: any) {
    return request.get({ url: "/contract.VehicleContract/detail", params });
}

//上传合同
export function leaseUpContract(params: any) {
    return request.post({
        url: "/contract.VehicleContract/uploadContract",
        params,
    });
}

//请求证据包下载地址
export function contractEvidence(params: any) {
    return request.get({ url: "/contract.contract/evidence", params });
}